Changes the zoom (magnification) of the view of the board. If no arguments are passed, the view is scaled such that the board just fits inside the visible window (i.e. "view all"). Otherwise, <arg>factor</arg> specifies a change in zoom factor. It may be prefixed by +, -, = to change how the zoom factor is modified (relative or absolute). The <arg>factor</arg> is a floating point number, such as 1.5 or 0.75.

Alternatively a box can be specified with 4 coordinates and <act>zoom</act> will set the zoom level (and modifies pan) so that the given box of the design is visible and as large as possible in the current window.

Arguments:

(no argument) | Without argments: zoom to board extents.
+factor | Values greater than 1.0 cause the board to be drawn smaller; more of the board will be visible. Values between 0.0 and 1.0 cause the board to be drawn bigger; less of the board will be visible.
-factor | Values greater than 1.0 cause the board to be drawn bigger; less of the board will be visible. Values between 0.0 and 1.0 cause the board to be drawn smaller; more of the board will be visible.
=factor | The @var{factor} is an absolute zoom factor; the unit for this value is "PCB units per screen pixel". Since PCB units are nanometer, a <arg>factor</arg> of 1000 means 1 micrometer per pixel (TODO: test this).
x1, y1, x2, y2 | Zoom to the specified portion of the design, described as a rectangle (using board space coordinates)
selected | Zoom and pan so that all selected objects are on the screen.
found | Zoom and pan so that all found objects are on the screen.
? | Print the current zoom level in the message log (as an info line).
get | Return the zoom level as an FGW_DOUBLE (useful for scripts).

Note that zoom factors of zero are silently ignored.